> ## Documentation Index
> Fetch the complete documentation index at: https://docs.diga.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Test full flow

> Execute the entire flow end-to-end using stored sample data. Polls until completion (up to 120 seconds). Returns the full run result with all step outputs.



## OpenAPI

````yaml /api-reference/openapi.json post /v1/workflow/{flow_id}/test
openapi: 3.1.0
info:
  title: Diga API
  version: 0.1.0
servers:
  - url: https://api.diga.io
    description: Production
security: []
paths:
  /v1/workflow/{flow_id}/test:
    post:
      tags:
        - Workflows - Executions
      summary: Test full flow
      description: >-
        Execute the entire flow end-to-end using stored sample data. Polls until
        completion (up to 120 seconds). Returns the full run result with all
        step outputs.
      operationId: test_full_flow_v1_workflow__flow_id__test_post
      parameters:
        - name: flow_id
          in: path
          required: true
          schema:
            type: string
            title: Flow Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FlowTestResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - CustomHTTPBearer: []
components:
  schemas:
    FlowTestResponse:
      properties:
        success:
          type: boolean
          title: Success
        runId:
          type: string
          title: Runid
        status:
          $ref: '#/components/schemas/FlowRunStatus'
        duration:
          anyOf:
            - type: integer
            - type: 'null'
          title: Duration
        steps:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Steps
      type: object
      required:
        - success
        - runId
        - status
      title: FlowTestResponse
      description: Result of testing the full flow.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    FlowRunStatus:
      type: string
      enum:
        - QUEUED
        - RUNNING
        - PAUSED
        - SUCCEEDED
        - FAILED
        - TIMEOUT
        - CANCELED
        - INTERNAL_ERROR
        - QUOTA_EXCEEDED
        - MEMORY_LIMIT_EXCEEDED
      title: FlowRunStatus
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    CustomHTTPBearer:
      type: http
      scheme: bearer

````